   ' ============ ::::::::   IN2ARG   :::::::: ============================
   '
   ' :::::::  INTERFASE ARGUS
   '
   ' SISTEMAS SIERRA SA DE CV                  INTERFASE ARGUS
   ' 25-JUN-2003  0814  creaci¢n inicial del programa
   ' ======================================================================
     DIM VLC#(9,8),ULC(9,8),AXL#(9),IVL#(9),CCL#(9,8),CUL(9,8),CXL(9),NXL(9),PXL(9)
     ON ERROR GOTO ErrorHandler

     WIDTH LPRINT 150                                      ' asigna impresor

                                                           ' FECHA DE ORDER1.QUE
     OPEN "ORDER1.QUE" FOR RANDOM ACCESS READ WRITE SHARED AS #11 LEN=128
     FIELD#11,128AS QUE11$

     OPEN "VALANO.ARG" FOR RANDOM ACCESS READ WRITE SHARED AS #12 LEN=2
     FIELD#12,2AS VA12$
     GET#12,1
     VA$=VA12$                                             ' valida a¤o
     CLOSE#12

     REG=50
1000 GET#11,REG                                            ' accesa reg
     IF MID$(QUE11$,9,1)="0" THEN                          ' no es reg cobro
        GOTO 1002
     ENDIF
     REG=REG+1                                             ' incrementa reg
     IF REG<501 THEN                                       ' es menor de 501
        GOTO 1000                                          ' regresa a leer otro reg
     ENDIF

1002 FEV$=MID$(QUE11$,10,6)                                ' fecha de venta
     MES=VAL(MID$(FEV$,1,2))                               ' mes en que se cre¢ el order
     DIA=VAL(MID$(FEV$,3,2))                               ' dia en que se cre¢ el order
     FX$=MID$(FEV$,5,2)+MID$(FEV$,1,2)+MID$(FEV$,3,2)
     GOSUB 7900                                            ' valida fecha
     IF K<>0 THEN                                          ' fecha no ok
        GET#11,1
        FEV$=MID$(QUE11$,41,6)                             ' fecha en que se cre¢
        MES=VAL(MID$(QUE11$,41,2))                         ' mes en que se cre¢ el order
        DIA=VAL(MID$(QUE11$,43,2))                         ' dia en que se cre¢ el order
        FX$=MID$(FEV$,5,2)+MID$(FEV$,1,2)+MID$(FEV$,3,2)
        GOSUB 7900
        IF K<>0 THEN
           ' IKE=1:LPRINT CHR$(27);CHR$(33);CHR$(4);
           ' LPRINT ">>> LA FECHA ";FECHA$;" DEL ARCHIVO ORDER1.QUE ES INCORRECTA"
           CLOSE
           END
        ENDIF
     ENDIF

1010 GOSUB 7850
     DOQ$=DX$:MOQ$=MX$:AOQ$=AX$                            ' fecha de venta
     IF LEN(AOQ$)=2 THEN XAOQ$=AOQ$:IF AOQ$<"80" THEN AOQ$="20"+AOQ$ ELSE AOQ$="19"+AOQ$

     IF VAL(VA$)<>0 THEN                                   ' no valida a¤o
        IF VA$<>MID$(FEV$,5,2) THEN                        ' no es el a¤o
           COLOR 7,0                                       ' intensidad media
           CLS
           PR=07:PC=28:NR=05:NC=21:GOSUB 9981
           COLOR 0,7
           LOCATE PR+1,PC+2:PRINT "INTERFASE DE VENTAS"
           COLOR 15,7
           LOCATE PR+2,PC+2:PRINT "Acumula estad¡stica"
           COLOR 0,7
           LOCATE PR+4,PC+3:PRINT "Venta  "
           COLOR 4,7:LOCATE PR+5,PC+3:PRINT "La venta no existe "
           COLOR 15,7:LOCATE PR+4,PC+10:PRINT DOQ$;"-";MOQ$;"-";AOQ$
           BEEP
           W$=INPUT$(1)
           CLOSE
           END
        ENDIF
     ENDIF

     MESDIA=31*(MES-1)+DIA                                 ' registro

     ' $INCLUDE: 'OPNTEM.BAS'
     GET#5,1
     IVA=CVS(IV5$)                                         ' iva
     IVI$=MID$(VP5$,2,1)                                   ' iva incluido en precio
     MM=CVS(MM5$)                                          ' maximo meseros
     UM=CVS(UM5$)                                          ' ultimo mesero
     MP=CVS(MP5$)                                          ' maximo plus
     UP=CVS(UP5$)                                          ' ultimo plu

     PR=07:PC=28:NR=05:NC=21

   ' $INCLUDE: 'OPNTOT.BAS '
   ' $INCLUDE: 'OPNXME.BAS'
   ' $INCLUDE: 'OPNPLU.BAS'
   ' $INCLUDE: 'OPNHOR.BAS'
   ' $INCLUDE: 'OPNHO2.BAS'

     COLOR 15,7:LOCATE PR+4,PC+10:PRINT DOQ$;"-";MOQ$;"-";AOQ$
     GOSUB 1050
     CLOSE:END

1050 ' $INCLUDE: 'IN3ARG.BAS'
6999 ' $INCLUDE: 'R40GRL.BAS'

ErrorHandler:
      IF ERR=70 THEN LOCATE 24,01:COLOR 16,15:PRINT "pd...";:LOCATE 23,2:PRINT "":RESUME
      IF ERR=24 OR ERR=25 OR ERR=27 THEN GOSUB 7510:RESUME
      IF ERR=53 THEN IE=1:RESUME NEXT
      COLOR 16,15:LOCATE 24,01:PRINT "Error en los datos ";ERR;" Linea ";ERL;". Llame a SIERRA.";:LOCATE 23,2:PRINT "":W$=INPUT$(1):CLOSE:END
